Bug 1859 - local variable used before set
Summary: local variable used before set
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915 (show other bugs)
Version: 6.2
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-15 03:43 UTC by dcb314
Modified: 2004-12-26 18:53 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dcb314 2004-11-15 03:43:16 UTC
Hello there,

I just tried to compile X11R6.8.1 with the most excellent Intel C
8.1 compiler, on a Linux Fedora Core 3 box. The compiler said

intel_pixel.c(172): remark #592: variable "size" is used before its value is set

The source code is in file

./extras/Mesa/src/mesa/drivers/dri/i915/intel_pixel.c

The source code is

   if (!check_color(ctx, type, format, pack, pixels, size, pitch))

Suggest init size before first use.
Comment 1 ajax at nwnk dot net 2004-12-27 13:53:14 UTC
check_color ignores the size parameter anyway, so this is safe to just init to
zero to hush the warning.

applied to CVS, thanks.


bug/show.html.tmpl processed on Sep 30, 2016 at 23:46:49.
(provided by the Example extension).